#################################################
#
#    DICTIONARY PARTNER TASK
#
#
#   I have old skool wordcount and lookup functions that use
#   a list structure to maintain an index of words in a text
#   and a count of how many times they occurred.
#
#   I would like you to write 2 new functions:
#      newWordcount
#      newLookup
#
#   that use a dictionary instead of a list
#
#   I would like you to compare the execution times of your functions to
#   that of my old skool functions as shown in the videos. A good answer
#   would include both a simple chart and a few sentence summary.
#
#   It would be good to do multiple tests. For example, you might want to
#   compare performance on a small file like walden500.txt, and larger files
#   like walden.txt and/or moby.txt
#
#   SUBMISSION:
#   attach your code file to an email. The body of your email should contain
#   your writeup.  Send the email to submit.o.bot on gmail.


def wordcount(filename):
    counts = []
    f = open(filename)
    content = f.read().split()
    f.close()
    for word in content:
        # first get rid of punctuation
        word = word.strip('!.,?\'";:[]()')
        # check to see if word is already in counts
        wordFound = False
        for entry in counts:
            if entry[0] == word:
                # if so increment the count of that word
                entry[1] += 1
                found = True
                break
        if not wordFound:
            counts.append([word, 1])
    return counts


def lookup(word, index):
    for entry in index:
        if entry[0] == word:
            return entry[1]

#
#  examples
#
# >>> wc = wordcount('walden500.txt')
# >>> lookup('the', wc)
# 279
# >>> wc = wordcount('walden.txt')
# >>> lookup('the', wc)
# 6914
# >>> lookup('pond', wc)
# 157
